Qt 5.11 | Qt 3D | C++ Classes | QLevelOfDetailBoundingSphere

Qt 5.11.3 Reference Documentation

# QLevelOfDetailBoundingSphere Class

(Qt3DRender::QLevelOfDetailBoundingSphere)

The QLevelOfDetailBoundingSphere class provides a simple spherical volume, defined by its center and radius. More...

Header: | #include <QLevelOfDetailBoundingSphere>
qmake: | QT += 3drender
Since: | Qt 5.9
Instantiated By: | LevelOfDetailBoundingSphere

- List of all members, including inherited members

## Properties

- center : const QVector3D
- radius : const float

## Public Functions

| QLevelOfDetailBoundingSphere(QVector3D center = QVector3D(), float radius = 1.0f)
| QLevelOfDetailBoundingSphere(const Qt3DRender::QLevelOfDetailBoundingSphere &other)
| ~QLevelOfDetailBoundingSphere()
QVector3D | center() const
bool | isEmpty() const
float | radius() const
bool | operator!=(const Qt3DRender::QLevelOfDetailBoundingSphere &other) const
Qt3DRender::QLevelOfDetailBoundingSphere & | operator=(const Qt3DRender::QLevelOfDetailBoundingSphere &other)
bool | operator==(const Qt3DRender::QLevelOfDetailBoundingSphere &other) const

## Detailed Description

The QLevelOfDetailBoundingSphere class provides a simple spherical volume, defined by its center and radius.

## Property Documentation

### center : const QVector3D

Specifies the center of the bounding sphere

Access functions:

QVector3D | center() const

### radius : const float

Specifies the radius of the bounding sphere

Access functions:

float | radius() const

## Member Function Documentation

### QLevelOfDetailBoundingSphere::QLevelOfDetailBoundingSphere(QVector3D center = QVector3D(), float radius = 1.0f)

Constructs a new QLevelOfDetailBoundingSphere with the specified center and radius.

### QLevelOfDetailBoundingSphere::QLevelOfDetailBoundingSphere(const Qt3DRender::QLevelOfDetailBoundingSphere &other)

Default constructs an instance of QLevelOfDetailBoundingSphere.

### QLevelOfDetailBoundingSphere::~QLevelOfDetailBoundingSphere()

Destroys the instance of QLevelOfDetailBoundingSphere.

### bool QLevelOfDetailBoundingSphere::isEmpty() const

### bool QLevelOfDetailBoundingSphere::operator!=(const Qt3DRender::QLevelOfDetailBoundingSphere &other) const

### Qt3DRender::QLevelOfDetailBoundingSphere &QLevelOfDetailBoundingSphere::operator=(const Qt3DRender::QLevelOfDetailBoundingSphere &other)

Copy-assignment operator.

### bool QLevelOfDetailBoundingSphere::operator==(const Qt3DRender::QLevelOfDetailBoundingSphere &other) const